=== debian/changelog ===
yp-svipc (0.14-2build4) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Apr 2014 14:46:35 +0100

yp-svipc (0.14-2build3) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:28:26 +0000

yp-svipc (0.14-2build2) raring; urgency=low

  * Rebuild to drop python3.2 extension.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 11:16:56 +0000

yp-svipc (0.14-2build1) raring; urgency=low

  * No-change upload to build for python3.3.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Oct 2012 15:23:31 +0200

yp-svipc (0.14-2) unstable; urgency=low

  * Bug fix: "don't rely on yorick to pass the fortified build flags"
    (Closes: #680216).
  * Bug fix: "FTBFS on kfreebsd-i386 and kfreebsd-amd64: "conflicting
    types for semtimedop"" (Closes: #679919). Involves a patch for the
    Python modules (fix_679919_kFreeBSD_FTBFS) and passing PKG_CFLAGS when
    building the Yorick plug-in.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 11 Jul 2012 13:41:39 +0200

yp-svipc (0.14-1) unstable; urgency=low

  * Initial release (Closes: #668841)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 22 Jun 2012 11:25:24 +0200
