=== debian/control ===
Source: yp-svipc
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 9),
               python-all-dev (>= 2.6.6-3~), python-numpy (>=1:1.4.1-4~),
               python3-all-dev, python3-numpy,
               yorick-dev
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/debian-science/packages/yp-svipc.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yp-svipc.git
Homepage: https://github.com/mdcb/yp-svipc

Package: yorick-svipc
Architecture: any
Depends: yorick, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-svipc, python3-svipc
Description: interprocess communication (shared memory...) for Yorick
 This package allows one to access the System V Interprocess
 communication mechanisms from within Yorick:
   + message queues;
   + semaphore sets;
   + shared memory segments.
 It also exposes related functionality, in particular fork().
 .
 This plug-in serves primarily two use cases:
   + parallel (multiprocess) computing;
   + mixed applications (eg. yorick/python).
 .
 Sibling packages are available for Python: python-svipc and
 python3-svipc.

Package: python-svipc
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: yorick-svipc, python3-svipc
Description: interprocess communication (shared memory...) for Python
 This package allows one to access the System V Interprocess
 communication mechanisms from within Python:
   + message queues;
   + semaphore sets;
   + shared memory segments.
 .
 This plug-in serves primarily two use cases:
   + parallel (multiprocess) computing;
   + mixed applications (e.g. python/yorick).
 .
 A sibling package is available for Yorick: yorick-svipc

Package: python3-svipc
Section: python
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: yorick-svipc, python-svipc
Description: interprocess communication (shared memory...) for Python 3
 This package allows one to access the System V Interprocess
 communication mechanisms from within Python 3:
   + message queues;
   + semaphore sets;
   + shared memory segments.
 .
 This plug-in serves primarily two use cases:
   + parallel (multiprocess) computing;
   + mixed applications (e.g. python/yorick).
 .
 A sibling package is available for Yorick: yorick-svipc
