=== debian/watch ===
version=3
https://github.com/mdcb/yp-svipc/tags .*/tarball/(\d[\d\.]+)
