## yp-svipc 0.15

=== debian/changelog ===
yp-svipc (0.15-2) unstable; urgency=low

  * New patch to build on kfreebsd (Closes: #750812)

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 7 Jun 2014 21:38:49 +0200

yp-svipc (0.15-1) unstable; urgency=low

  * New upstream release
  * Update control (maintainer address, Standards Version...)

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 31 Mar 2014 12:14:49 +0200
