=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: yp-svipc
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: debhelper (>= 9),
                python-all-dev (>= 2.6.6-3~), python-numpy (>=1:1.4.1-4~),
                python3-all-dev, python3-numpy,
                yorick-dev
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/debian-science/packages/yp-svipc.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yp-svipc.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/yp-svipc.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yp-svipc.git
 Homepage: https://github.com/mdcb/yp-svipc
 
 Package: yorick-svipc
