=== debian/changelog ===
yp-svipc (0.16-7build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 15:10:19 +0000

yp-svipc (0.16-7build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:45:52 +0000

yp-svipc (0.16-7build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:48:17 +0000

yp-svipc (0.16-7build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:35:10 +0100

yp-svipc (0.16-7) unstable; urgency=medium

  * Team Upload
  * Add explicit dependency on python3-setuptools (Closes: #1080845)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 09 Nov 2024 23:36:00 +0100

yp-svipc (0.16-6) unstable; urgency=medium

  * Team Upload
  * Build with modern setuptools (Closes: #1069223)
  * Switch to DebHelper 13
  * Remove Python 2 files
  * Set Rules-Requires-Root: no
  * d/watch: use v4
  * d/copyright: use https for URL

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Jul 2024 14:57:47 +0200

yp-svipc (0.16-5) unstable; urgency=high

  * Explicitly build-depends on dh-python
  * Check against Policy 4.4.1 (no changes required)

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 18 Nov 2019 15:39:07 +0100

yp-svipc (0.16-4) unstable; urgency=low

  * Bug fix: "Python2 removal in sid/bullseye", thanks to Matthias Klose
    (Closes: #938869).
  * Check against Policy 4.4.0 (no changes).

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 28 Sep 2019 09:40:33 +0200

yp-svipc (0.16-3) unstable; urgency=high

  * Bug fix: "FTBFS: python/svipc_module.c:869:28: error: expected
    expression before &#39;)&#39; token", thanks to Lucas Nussbaum
    (Closes: #917672).

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 09 Jan 2019 12:37:34 +0100

yp-svipc (0.16-2) unstable; urgency=low

  * Merge again the changes of 0.15-2, which where left behind by 0.16-1

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 03 Oct 2014 10:08:38 +0200

yp-svipc (0.16-1) unstable; urgency=low

  * New upstream release
  * Check against Policy 3.9.6

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 02 Oct 2014 17:37:42 +0200
