=== debian/control ===
Source: yp-svipc
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all-dev,
               python3-numpy,
               python3-setuptools,
               yorick-dev
Rules-Requires-Root: no
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/science-team/yp-svipc.git
Vcs-Browser: https://salsa.debian.org/science-team/yp-svipc
Homepage: https://github.com/mdcb/yp-svipc

Package: yorick-svipc
Architecture: any
Depends: yorick, ${shlibs:Depends}, ${misc:Depends}
Suggests: python3-svipc
Description: interprocess communication (shared memory...) for Yorick
 This package allows one to access the System V Interprocess
 communication mechanisms from within Yorick:
   + message queues;
   + semaphore sets;
   + shared memory segments.
 It also exposes related functionality, in particular fork().
 .
 This plug-in serves primarily two use cases:
   + parallel (multiprocess) computing;
   + mixed applications (eg. yorick/python).
 .
 A sibling package is available for Python (python3-svipc).

Package: python3-svipc
Section: python
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: yorick-svipc
Description: interprocess communication (shared memory...) for Python 3
 This package allows one to access the System V Interprocess
 communication mechanisms from within Python 3:
   + message queues;
   + semaphore sets;
   + shared memory segments.
 .
 This plug-in serves primarily two use cases:
   + parallel (multiprocess) computing;
   + mixed applications (e.g. python/yorick).
 .
 A sibling package is available for Yorick: yorick-svipc
